Fetch all applications
Fetch all applications connected to your company, specifying the fields you’d like to retrieve. Sorted by date created, oldest first.
applicationId is returned. Optionally request further fields by passing them in the fields parameter in the query. Fields within the tpo, licensing and los objects should be specifically requested with the format tpo.name, licensing.tradeNames, los.loanCriteria, etc.You can return all available fields by passing
fields=*Note: access to
licensing is a premium feature - contact the Loanscape team to confirm that you have access. licensing.loanOfficers and licensing.branches cannot be requested using this call - these must be fetched individually per application.For example, to specify all possible fields:
https://app.loanscape.io/api/v1.0/applications?fields=status,tag,channels,assignedAccountExecutive,assignedUsers,nextRenewalDate,dateCreated,dateApproved,dateRenewed,dateStatusUpdated,tpo.companyId,tpo.name,tpo.nmls,tpo.address,tpo.businessStructure,tpo.ein,tpo.stockSymbol,tpo.ncua,tpo.fdic,tpo.pointOfContact,tpo.team,tpo.owners,tpo.suretyBonds,tpo.eoInsurance,tpo.affiliations,tpo.industryApprovals,licensing.tradeNames,licensing.licensedStates,licensing.stateLicenses,licensing.processors,los.users,los.compensation,los.loanCriteriaIf you receive an error trying to fetch all applications with many complex fields, you may be trying to fetch too much data at once - try again with simpler fields. You can fetch complex data using the
Fetch single application endpoint for a single application.Authorizations
Generate an API key on Loanscape or pass test/key to try with demo data.
Query Parameters
Additional fields to fetch. Separate multiple fields with commas. Leave this blank to only return applicationId or pass fields=* to return all available fields.
Response
Array of applications returned
The application's unique identifier.
The status of the application: pending, active, pending_renewal, deactivated, denied or discarded
The tag assigned by the lender's team.
The status and details of each channel associated with the application.
Details of the assigned account executive on the lender's team.
Details of the assigned users on the lender's team.
The date that the next yearly document is due from the TPO. Only available for applications with status active or pending_renewal.
The date that the application was created. This is an ISO string (e.g. 2011-10-05T14:48:00.000Z).
The date that the application was first approved. This is an ISO string (e.g. 2011-10-05T14:48:00.000Z). (On the Loanscape website, the date shown under the "Date Approved" column will be either dateApproved or dateRenewed, whichever is latest. In the API, this is strictly the date of initial approval.)
The date that the application was last renewed. If this is present, or if an application has status pending_renewal, it is a renewal application. This is an ISO string (e.g. 2011-10-05T14:48:00.000Z).
The date that the application's status was last updated (for example, renewed or deactivated). This is an ISO string (e.g. 2011-10-05T14:48:00.000Z).
Details of the TPO's company.
Licensing information for the TPO, their branches and their individuals - synced with NMLS. Access to licensing information is a premium feature - contact the Loanscape team to confirm that you have access.
LOS information for the TPO - los.users, los.compensation and los.loanCriteria. This data is only available if the LOS Access and/or Compensation document has been enabled for your company and is active in the TPO's application. If you're not sure, reach out to the Loanscape team for guidance. You should read the Advanced (Licensing and LOS) page to learn more about how the LOS data works and how to use it.
